Public Member Functions | Public Attributes | List of all members
librevenge::RVNGPropertyListElement Class Reference

## Public Member Functions
| RVNGPropertyListElement ()
| RVNGPropertyListElement (const RVNGPropertyListElement &elem)
| RVNGPropertyListElement (RVNGProperty *prop, RVNGPropertyListVector *vec)
| ~RVNGPropertyListElement ()
RVNGPropertyListElement & | operator= (const RVNGPropertyListElement &elem)

## Public Attributes
RVNGProperty * | m_prop
RVNGPropertyListVector * | m_vec

## Constructor & Destructor Documentation

## ◆ RVNGPropertyListElement() [1/3]

librevenge::RVNGPropertyListElement::RVNGPropertyListElement | ( |  | ) |
| inline

## ◆ RVNGPropertyListElement() [2/3]

librevenge::RVNGPropertyListElement::RVNGPropertyListElement | ( | const RVNGPropertyListElement & | elem | ) |
| inline

## ◆ RVNGPropertyListElement() [3/3]

librevenge::RVNGPropertyListElement::RVNGPropertyListElement | ( | RVNGProperty * | prop,
|  | RVNGPropertyListVector * | vec
| ) |  |
| inline

## ◆ ~RVNGPropertyListElement()

librevenge::RVNGPropertyListElement::~RVNGPropertyListElement | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

RVNGPropertyListElement& librevenge::RVNGPropertyListElement::operator= | ( | const RVNGPropertyListElement & | elem | ) |
| inline

## Member Data Documentation

## ◆ m_prop

RVNGProperty* librevenge::RVNGPropertyListElement::m_prop

Referenced by operator=(), and ~RVNGPropertyListElement().

## ◆ m_vec

RVNGPropertyListVector* librevenge::RVNGPropertyListElement::m_vec

Referenced by operator=(), and ~RVNGPropertyListElement().

The documentation for this class was generated from the following file:

- RVNGPropertyList.cpp